For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve UserRoles
LogoLogo
SupportContact salesStart free trial
API ReferenceUser Role

Retrieve UserRoles

GET
https://api.projectmanager.com/api/data/users/roles
GET
/api/data/users/roles
$curl https://api.projectmanager.com/api/data/users/roles \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "name": "string",
17 "description": "string",
18 "isAdmin": true,
19 "isCustom": true,
20 "isGlobalAdmin": true,
21 "isGuest": true,
22 "isDefault": true,
23 "permissions": {
24 "invitePeople": {
25 "description": "string",
26 "value": true,
27 "canBeModified": true
28 },
29 "editAccountPage": {
30 "description": "string",
31 "value": true,
32 "canBeModified": true
33 },
34 "editSecurityPage": {
35 "description": "string",
36 "value": true,
37 "canBeModified": true
38 },
39 "seeHourlyRatesCostsBudgets": {
40 "description": "string",
41 "value": true,
42 "canBeModified": true
43 },
44 "setTeamHolidays": {
45 "description": "string",
46 "value": true,
47 "canBeModified": true
48 },
49 "editTagsSkillsTeams": {
50 "description": "string",
51 "value": true,
52 "canBeModified": true
53 },
54 "editTeamTimesheets": {
55 "description": "string",
56 "value": true,
57 "canBeModified": true
58 },
59 "approveTimesheets": {
60 "description": "string",
61 "value": true,
62 "canBeModified": true
63 },
64 "editImportantProjectInfo": {
65 "description": "string",
66 "value": true,
67 "canBeModified": true
68 },
69 "seeExportProject": {
70 "description": "string",
71 "value": true,
72 "canBeModified": true
73 },
74 "seeManageUsers": {
75 "description": "string",
76 "value": true,
77 "canBeModified": true
78 },
79 "manageIntegrations": {
80 "description": "string",
81 "value": true,
82 "canBeModified": true
83 },
84 "createProjectAndProjectGroups": {
85 "description": "string",
86 "value": true,
87 "canBeModified": true
88 },
89 "editUsers": {
90 "description": "string",
91 "value": true,
92 "canBeModified": true
93 },
94 "viewPersonalBoard": {
95 "description": "string",
96 "value": true,
97 "canBeModified": true
98 },
99 "editAllProjects": {
100 "description": "string",
101 "value": true,
102 "canBeModified": true
103 },
104 "changeOwnEmail": {
105 "description": "string",
106 "value": true,
107 "canBeModified": true
108 }
109 }
110 }
111 ]
112}
Retrieves the list of UserRoles defined within this Workspace. A UserRole is a name for a privilege level granted to a specific User. The 'Global Admin' UserRole is granted to the owner of the Workspace, and this UserRole cannot be changed. You can choose which UserRole applies to a User within your Workspace.
Was this page helpful?
Previous

Retrieve Workspaces

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.